# SPDX-FileCopyrightText: 2023 Siemens AG
# SPDX-License-Identifier: Apache-2.0

kind: Cluster
apiVersion: kind.x-k8s.io/v1alpha4
name: hybrid-cluster
containerdConfigPatches:
- |-
  [plugins."io.containerd.grpc.v1.cri".registry.mirrors."localhost:5001"]
    endpoint = ["http://kind-registry:5000"]
networking:
    podSubnet: "10.100.0.0/16"
#    disableDefaultCNI: true
nodes:
        - role: control-plane
          image: kindest/node:v1.26.6
          kubeadmConfigPatches:
          - |
            kind: InitConfiguration
            nodeRegistration:
              name: "control-plane"
        - role: worker
          image: kindest/node:v1.26.6
          extraMounts:
            - hostPath: /tmp/nwapidb
              containerPath: /nwapidb
          kubeadmConfigPatches:
          - |
            kind: JoinConfiguration
            nodeRegistration:
              name: "ipc1"
              kubeletExtraArgs:
                node-labels: "mac-address=5e0d.6660.a485"
                system-reserved: cpu=14,memory=29Gi
        - role: worker
          image: kindest/node:v1.26.6
          kubeadmConfigPatches:
          - |
            kind: JoinConfiguration
            nodeRegistration:
              name: "ipc2"
              kubeletExtraArgs:
                node-labels: "mac-address=da69.022b.c8fc"
                system-reserved: cpu=14,memory=29Gi
        - role: worker
          image: kindest/node:v1.26.6
          kubeadmConfigPatches:
          - |
            kind: JoinConfiguration
            nodeRegistration:
              name: "cloud"
              kubeletExtraArgs:
                node-labels: "mac-address=da69.022b.c8ff"

